function [Kfo]=inicializa (calibration,rendimobjetivo)
if libisloaded ('epanet2')
    unloadlibrary ('epanet2');
end
libalias='epanet2';hydstep=0;inicialnumnode=0;exp=0;inicialnumlink=0;repstep=0;timeini=0;timefin=0;prueba=0;
loadlibrary ('epanet2', 'epanet2.h');
[errcode] = calllib('epanet2', 'ENopen',[calibration.resultdir, calibration.inp], [calibration.resultdir, calibration.rpt],'');
if errcode 
         fprintf('[ERROR]\nProblem while opening inp file\n');
end
[errcode,timefin] =calllib(libalias,'ENgettimeparam',0,timefin);
[errcode,timeini] =calllib(libalias,'ENgettimeparam',6,timeini);
[errcode,hydstep] =calllib(libalias,'ENgettimeparam',1,hydstep);
[errcode,repstep] =calllib(libalias,'ENgettimeparam',5,repstep);
repstep=double(repstep);
[errcode,inicialnumnode] = calllib('epanet2','ENgetcount',0,inicialnumnode);
[errcode,inicialnumlink] =calllib(libalias,'ENgetcount',2,inicialnumlink);
[numembalse, numtanque,calibration]=countnode(inicialnumnode,calibration);
inicialnumnode=inicialnumnode-numembalse-numtanque;
[numvalv, numpump, calibration]=countlink (inicialnumlink,calibration);
inicialnumlink=inicialnumlink-numvalv-numpump;
[errcode,exp] =calllib(libalias,'ENgetoption',3,exp);
[errcode] = calllib('epanet2', 'ENopenH');
if errcode 
    fprintf('[ERROR]\nProblem while opening Hydraulic analysis sistem, ENopenH\n');
end
[errcode] = calllib('epanet2','ENinitH',11);
if errcode 
    fprintf('[ERROR]\nProblem while initializing values to run Hydraulic analysis, ENinitH\n');
end
hydstep = 1;
tprima = 1;
contador=1;
if timefin==0
    inicialpres=zeros(inicialnumnode,1);
    inicialnodedemands=zeros(inicialnumnode,1);
else
    inicialpres=zeros(inicialnumnode,(timefin/repstep));
    inicialnodedemands=zeros(inicialnumnode,(timefin/repstep));
end
[errcode] = calllib('epanet2','ENinitH',11);
while (hydstep > 0)
    [errcode,tprima] = calllib('epanet2','ENrunH',tprima); 
    if errcode 
        fprintf('[ERROR]\nProblem while calling EnrunH, hora= %g\n',(tprima/3600));
        [errcode, outnet] = calllib('epanet2', 'ENsaveinpfile', [calibration.resultdir, 'new_', calibration.inp]);
    end
    entero=mod(tprima,repstep);
    if entero==0
        for i=1:inicialnumnode 
            [errcode,prueba] =calllib('epanet2','ENgetnodevalue',i,9,prueba);
            inicialnodedemands(i,contador)=prueba;
            [errcode,prueba] =calllib('epanet2','ENgetnodevalue',i,11,prueba);
            inicialpres(i, contador)=prueba;
        end
        contador=contador+1;
    end
    [errcode,hydstep] = calllib('epanet2','ENnextH',hydstep);
    if errcode 
        fprintf('[ERROR]\nProblem while calling EnnextH\n');
    end 
end
if errcode 
    fprintf('[ERROR]\nProblem while running hydraulic model %g\n', errcode); 
end
[errcode] = calllib('epanet2', 'ENcloseH');
[errcode] = calllib('epanet2', 'ENclose');
[~,b]=size(inicialpres);
if timefin>0
    inicialpres(:,b)=[];
    inicialnodedemands(:,b)=[];
end
Presmed=mean(mean(inicialpres));
Viny=sum(sum(inicialnodedemands))*repstep/1000;
VR=rendimobjetivo*Viny;
VL=Viny-VR;
Kfo=VL*1000/(Presmed^exp)/repstep/b;
end